D-Bus: DBusMessage Struct Reference

D-Bus 1.14.10

Data Fields
DBusMessage Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Internals of DBusMessage. More...

`#include <dbus-message-private.h>`

## Data Fields
DBusAtomic | refcount
| Reference count.
DBusHeader | header
| Header network data and associated cache.
DBusString | body
| Body network data.
unsigned int | locked: 1
| Message being sent, no modifications allowed.
unsigned int | in_cache: 1
| Has been "freed" since it's in the cache (this is a debug feature)
DBusList * | counters
| 0-N DBusCounter used to track message size/unix fds.
long | size_counter_delta
| Size we incremented the size counters by.
dbus_uint32_t | changed_stamp: CHANGED_STAMP_BITS
| Incremented when iterators are invalidated.
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
int | generation
| _dbus_current_generation when message was created

## Detailed Description

Internals of DBusMessage.

Object representing a message received from or to be sent to another application. This is an opaque object, all members are private.

Definition at line 99 of file dbus-message-private.h.

## Field Documentation

## ◆ body

DBusString DBusMessage::body

Body network data.

Definition at line 105 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), _dbus_message_get_network_data(), dbus_message_copy(), dbus_message_iter_init(), dbus_message_iter_init_append(), dbus_message_lock(), and dbus_message_marshal().

## ◆ changed_stamp

dbus_uint32_t DBusMessage::changed_stamp

Incremented when iterators are invalidated.

Definition at line 116 of file dbus-message-private.h.

## ◆ counters

DBusList* DBusMessage::counters

0-N DBusCounter used to track message size/unix fds.

Definition at line 113 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), and _dbus_message_remove_counter().

## ◆ generation

int DBusMessage::generation

_dbus_current_generation when message was created

Definition at line 121 of file dbus-message-private.h.

Referenced by dbus_message_copy(), dbus_message_ref(), and dbus_message_unref().

## ◆ header

DBusHeader DBusMessage::header

Header network data and associated cache.

Definition at line 103 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), _dbus_message_get_network_data(), _dbus_message_remove_unknown_fields(), dbus_message_copy(), dbus_message_get_allow_interactive_authorization(), dbus_message_get_auto_start(), dbus_message_get_container_instance(), dbus_message_get_destination(), dbus_message_get_error_name(), dbus_message_get_interface(), dbus_message_get_member(), dbus_message_get_no_reply(), dbus_message_get_path(), dbus_message_get_reply_serial(), dbus_message_get_sender(), dbus_message_get_serial(), dbus_message_get_signature(), dbus_message_get_type(), dbus_message_iter_append_basic(), dbus_message_iter_init(), dbus_message_iter_init_append(), dbus_message_lock(), dbus_message_marshal(), dbus_message_new(), dbus_message_new_error(), dbus_message_new_method_call(), dbus_message_new_method_return(), dbus_message_new_signal(), dbus_message_set_allow_interactive_authorization(), dbus_message_set_auto_start(), dbus_message_set_no_reply(), dbus_message_set_reply_serial(), and dbus_message_set_serial().

## ◆ in_cache

unsigned int DBusMessage::in_cache

Has been "freed" since it's in the cache (this is a debug feature)

Definition at line 110 of file dbus-message-private.h.

Referenced by dbus_message_ref(), and dbus_message_unref().

## ◆ locked

unsigned int DBusMessage::locked

Message being sent, no modifications allowed.

Definition at line 107 of file dbus-message-private.h.

Referenced by _dbus_message_get_network_data(), _dbus_message_get_unix_fds(), dbus_message_copy(), dbus_message_lock(), dbus_message_marshal(), dbus_message_set_allow_interactive_authorization(), dbus_message_set_auto_start(), dbus_message_set_container_instance(), dbus_message_set_destination(), dbus_message_set_error_name(), dbus_message_set_interface(), dbus_message_set_member(), dbus_message_set_no_reply(), dbus_message_set_path(), dbus_message_set_reply_serial(), dbus_message_set_sender(), and dbus_message_set_serial().

## ◆ refcount

DBusAtomic DBusMessage::refcount

Reference count.

Definition at line 101 of file dbus-message-private.h.

Referenced by dbus_message_copy(), dbus_message_ref(), and dbus_message_unref().

## ◆ size_counter_delta

long DBusMessage::size_counter_delta

Size we incremented the size counters by.

Definition at line 114 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), and _dbus_message_remove_counter().

## ◆ slot_list

DBusDataSlotList DBusMessage::slot_list

Data stored by allocated integer ID.

Definition at line 118 of file dbus-message-private.h.

Referenced by dbus_message_get_data(), and dbus_message_set_data().

The documentation for this struct was generated from the following file:

- dbus-message-private.h